using Elastic.CommonSchema.Serilog;
using PARR.AIHITMainSyncer;
using PARR.AIHITSyncerWorker;
using Serilog;


var builder = Host.CreateApplicationBuilder();

builder.Services.AddLogging(config =>
{
    config.ClearProviders();

    var logger = new LoggerConfiguration();

    if (builder.Environment.IsProduction())
        logger.WriteTo.Console(new EcsTextFormatter());
    else
        logger.WriteTo.Console();

    logger.ReadFrom.Configuration(builder.Configuration);

    config.AddSerilog(logger.CreateLogger());
});

builder.Services.InstallAihitMainSyncerServices(builder.Configuration);
builder.Configuration.AddAihitMainSyncerConfigurations(builder.Services);
builder.Services.AddAihitMainSyncerSettings(builder.Configuration);

builder.Services.AddHostedService<Worker>();

var host = builder.Build();
host.Run();